Skip to content

@certik /gist:3194707
Created

Embed URL

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Python 3.3 failures
$ python
Python 3.3.0b1 (default, Jul 27 2012, 10:55:25)
[GCC 4.6.3] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import numpy
>>> numpy.test()
Running unit tests for numpy
NumPy version 1.8.0.dev-Unknown
NumPy is installed in /home/ondrej/py33/lib/python3.3/site-packages/numpy
Python version 3.3.0b1 (default, Jul 27 2012, 10:55:25) [GCC 4.6.3]
nose version 1.1.2
/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/core.py:247: ResourceWarning: unclosed file <_io.TextIOWrapper name='/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/usage.txt' mode='r' encoding='UTF-8'>
os.path.dirname(__file__), 'usage.txt'), 'r').read()
..............S.........S...............................................................................................................................................................................................................EE..................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................K........................................E.E..............................................................................................................................................SSS................E..............................................................................................K....................................................................................................K......................K..............................................FFFFFFFFFFFFFFFFFF...........................EE.......E.............................................................................E......................................................................................................................F...............................E...................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................E.........................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................K......................................E........
======================================================================
ERROR: Failure: ImportError (cannot import name Random)
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/failure.py", line 37, in runTest
raise self.exc_class(self.exc_val).with_traceback(self.tb)
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/loader.py", line 390, in loadTestsFromName
addr.filename, addr.module)
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/importer.py", line 39, in importFromPath
return self.importFromDir(dir_path, fqname)
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/importer.py", line 86, in importFromDir
mod = load_module(part_fqname, fh, filename, desc)
File "/home/ondrej/repos/python-3.3/xx/lib/python3.3/imp.py", line 170, in load_module
return load_source(name, filename, file)
File "/home/ondrej/repos/python-3.3/xx/lib/python3.3/imp.py", line 119, in load_source
return _LoadSourceCompatibility(name, pathname, file).load_module(name)
File "<frozen importlib._bootstrap>", line 432, in _check_name_wrapper
File "<frozen importlib._bootstrap>", line 778, in load_module
File "<frozen importlib._bootstrap>", line 759, in load_module
File "<frozen importlib._bootstrap>", line 408, in module_for_loader_wrapper
File "<frozen importlib._bootstrap>", line 647, in _load_module
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/core/tests/test_memmap.py", line 1, in <module>
from tempfile import NamedTemporaryFile, mktemp
File "<frozen importlib._bootstrap>", line 1294, in _find_and_load
File "<frozen importlib._bootstrap>", line 1261, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 432, in _check_name_wrapper
File "<frozen importlib._bootstrap>", line 778, in load_module
File "<frozen importlib._bootstrap>", line 759, in load_module
File "<frozen importlib._bootstrap>", line 408, in module_for_loader_wrapper
File "<frozen importlib._bootstrap>", line 647, in _load_module
File "/home/ondrej/py33/lib/python3.3/tempfile.py", line 34, in <module>
from random import Random as _Random
ImportError: <unprintable ImportError object>
======================================================================
ERROR: Failure: ImportError (cannot import name Random)
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/failure.py", line 37, in runTest
raise self.exc_class(self.exc_val).with_traceback(self.tb)
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/loader.py", line 390, in loadTestsFromName
addr.filename, addr.module)
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/importer.py", line 39, in importFromPath
return self.importFromDir(dir_path, fqname)
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/importer.py", line 86, in importFromDir
mod = load_module(part_fqname, fh, filename, desc)
File "/home/ondrej/repos/python-3.3/xx/lib/python3.3/imp.py", line 170, in load_module
return load_source(name, filename, file)
File "/home/ondrej/repos/python-3.3/xx/lib/python3.3/imp.py", line 119, in load_source
return _LoadSourceCompatibility(name, pathname, file).load_module(name)
File "<frozen importlib._bootstrap>", line 432, in _check_name_wrapper
File "<frozen importlib._bootstrap>", line 778, in load_module
File "<frozen importlib._bootstrap>", line 759, in load_module
File "<frozen importlib._bootstrap>", line 408, in module_for_loader_wrapper
File "<frozen importlib._bootstrap>", line 647, in _load_module
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/core/tests/test_multiarray.py", line 1, in <module>
import tempfile
File "<frozen importlib._bootstrap>", line 1294, in _find_and_load
File "<frozen importlib._bootstrap>", line 1261, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 432, in _check_name_wrapper
File "<frozen importlib._bootstrap>", line 778, in load_module
File "<frozen importlib._bootstrap>", line 759, in load_module
File "<frozen importlib._bootstrap>", line 408, in module_for_loader_wrapper
File "<frozen importlib._bootstrap>", line 647, in _load_module
File "/home/ondrej/py33/lib/python3.3/tempfile.py", line 34, in <module>
from random import Random as _Random
ImportError: <unprintable ImportError object>
======================================================================
ERROR: test_numeric.TestIsclose.test_ip_isclose_allclose([1e-08, 1, 1000020.0000000099], [0, nan, 1000000.0])
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/case.py", line 198, in runTest
self.test(*self.arg)
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/core/tests/test_numeric.py", line 1245, in tst_isclose_allclose
assert_array_equal(isclose(x, y).all(), allclose(x, y), msg % (x, y))
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/core/numeric.py", line 1987, in allclose
return all(less_equal(abs(x-y), atol + rtol * abs(y)))
RuntimeWarning: invalid value encountered in absolute
======================================================================
ERROR: test_numeric.TestIsclose.test_ip_isclose_allclose(nan, [nan, nan, nan])
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/case.py", line 198, in runTest
self.test(*self.arg)
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/core/tests/test_numeric.py", line 1245, in tst_isclose_allclose
assert_array_equal(isclose(x, y).all(), allclose(x, y), msg % (x, y))
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/core/numeric.py", line 1987, in allclose
return all(less_equal(abs(x-y), atol + rtol * abs(y)))
RuntimeWarning: invalid value encountered in absolute
======================================================================
ERROR: Failure: ImportError (cannot import name Random)
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/failure.py", line 37, in runTest
raise self.exc_class(self.exc_val).with_traceback(self.tb)
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/loader.py", line 390, in loadTestsFromName
addr.filename, addr.module)
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/importer.py", line 39, in importFromPath
return self.importFromDir(dir_path, fqname)
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/importer.py", line 86, in importFromDir
mod = load_module(part_fqname, fh, filename, desc)
File "/home/ondrej/repos/python-3.3/xx/lib/python3.3/imp.py", line 170, in load_module
return load_source(name, filename, file)
File "/home/ondrej/repos/python-3.3/xx/lib/python3.3/imp.py", line 119, in load_source
return _LoadSourceCompatibility(name, pathname, file).load_module(name)
File "<frozen importlib._bootstrap>", line 432, in _check_name_wrapper
File "<frozen importlib._bootstrap>", line 778, in load_module
File "<frozen importlib._bootstrap>", line 759, in load_module
File "<frozen importlib._bootstrap>", line 408, in module_for_loader_wrapper
File "<frozen importlib._bootstrap>", line 647, in _load_module
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/core/tests/test_regression.py", line 7, in <module>
import tempfile
File "<frozen importlib._bootstrap>", line 1294, in _find_and_load
File "<frozen importlib._bootstrap>", line 1261, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 432, in _check_name_wrapper
File "<frozen importlib._bootstrap>", line 778, in load_module
File "<frozen importlib._bootstrap>", line 759, in load_module
File "<frozen importlib._bootstrap>", line 408, in module_for_loader_wrapper
File "<frozen importlib._bootstrap>", line 647, in _load_module
File "/home/ondrej/py33/lib/python3.3/tempfile.py", line 34, in <module>
from random import Random as _Random
ImportError: <unprintable ImportError object>
======================================================================
ERROR: Failure: ImportError (No module named 'distutils.errors')
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/failure.py", line 37, in runTest
raise self.exc_class(self.exc_val).with_traceback(self.tb)
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/loader.py", line 390, in loadTestsFromName
addr.filename, addr.module)
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/importer.py", line 39, in importFromPath
return self.importFromDir(dir_path, fqname)
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/importer.py", line 86, in importFromDir
mod = load_module(part_fqname, fh, filename, desc)
File "/home/ondrej/repos/python-3.3/xx/lib/python3.3/imp.py", line 174, in load_module
return load_package(name, filename)
File "/home/ondrej/repos/python-3.3/xx/lib/python3.3/imp.py", line 150, in load_package
return _bootstrap.SourceFileLoader(name, path).load_module(name)
File "<frozen importlib._bootstrap>", line 432, in _check_name_wrapper
File "<frozen importlib._bootstrap>", line 778, in load_module
File "<frozen importlib._bootstrap>", line 759, in load_module
File "<frozen importlib._bootstrap>", line 408, in module_for_loader_wrapper
File "<frozen importlib._bootstrap>", line 647, in _load_module
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/distutils/__init__.py", line 22, in <module>
import numpy.distutils.ccompiler
File "<frozen importlib._bootstrap>", line 1294, in _find_and_load
File "<frozen importlib._bootstrap>", line 1261, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 432, in _check_name_wrapper
File "<frozen importlib._bootstrap>", line 778, in load_module
File "<frozen importlib._bootstrap>", line 759, in load_module
File "<frozen importlib._bootstrap>", line 408, in module_for_loader_wrapper
File "<frozen importlib._bootstrap>", line 647, in _load_module
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/distutils/ccompiler.py", line 7, in <module>
from distutils.ccompiler import *
File "<frozen importlib._bootstrap>", line 1294, in _find_and_load
File "<frozen importlib._bootstrap>", line 1245, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 1294, in _find_and_load
File "<frozen importlib._bootstrap>", line 1261, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 432, in _check_name_wrapper
File "<frozen importlib._bootstrap>", line 778, in load_module
File "<frozen importlib._bootstrap>", line 759, in load_module
File "<frozen importlib._bootstrap>", line 408, in module_for_loader_wrapper
File "<frozen importlib._bootstrap>", line 647, in _load_module
File "./distutils/__init__.py", line 23, in <module>
import numpy.distutils.unixccompiler
File "<frozen importlib._bootstrap>", line 1294, in _find_and_load
File "<frozen importlib._bootstrap>", line 1261, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 432, in _check_name_wrapper
File "<frozen importlib._bootstrap>", line 778, in load_module
File "<frozen importlib._bootstrap>", line 759, in load_module
File "<frozen importlib._bootstrap>", line 408, in module_for_loader_wrapper
File "<frozen importlib._bootstrap>", line 647, in _load_module
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/distutils/unixccompiler.py", line 7, in <module>
from distutils.errors import DistutilsExecError, CompileError
File "<frozen importlib._bootstrap>", line 1294, in _find_and_load
File "<frozen importlib._bootstrap>", line 1258, in _find_and_load_unlocked
ImportError: <unprintable ImportError object>
======================================================================
ERROR: Failure: ImportError (cannot import name diagnose)
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/failure.py", line 37, in runTest
raise self.exc_class(self.exc_val).with_traceback(self.tb)
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/loader.py", line 390, in loadTestsFromName
addr.filename, addr.module)
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/importer.py", line 39, in importFromPath
return self.importFromDir(dir_path, fqname)
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/importer.py", line 86, in importFromDir
mod = load_module(part_fqname, fh, filename, desc)
File "/home/ondrej/repos/python-3.3/xx/lib/python3.3/imp.py", line 174, in load_module
return load_package(name, filename)
File "/home/ondrej/repos/python-3.3/xx/lib/python3.3/imp.py", line 150, in load_package
return _bootstrap.SourceFileLoader(name, path).load_module(name)
File "<frozen importlib._bootstrap>", line 432, in _check_name_wrapper
File "<frozen importlib._bootstrap>", line 778, in load_module
File "<frozen importlib._bootstrap>", line 759, in load_module
File "<frozen importlib._bootstrap>", line 408, in module_for_loader_wrapper
File "<frozen importlib._bootstrap>", line 647, in _load_module
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/f2py/__init__.py", line 11, in <module>
from . import diagnose
ImportError: <unprintable ImportError object>
======================================================================
ERROR: Failure: ImportError (cannot import name Random)
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/failure.py", line 37, in runTest
raise self.exc_class(self.exc_val).with_traceback(self.tb)
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/loader.py", line 390, in loadTestsFromName
addr.filename, addr.module)
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/importer.py", line 39, in importFromPath
return self.importFromDir(dir_path, fqname)
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/importer.py", line 86, in importFromDir
mod = load_module(part_fqname, fh, filename, desc)
File "/home/ondrej/repos/python-3.3/xx/lib/python3.3/imp.py", line 170, in load_module
return load_source(name, filename, file)
File "/home/ondrej/repos/python-3.3/xx/lib/python3.3/imp.py", line 119, in load_source
return _LoadSourceCompatibility(name, pathname, file).load_module(name)
File "<frozen importlib._bootstrap>", line 432, in _check_name_wrapper
File "<frozen importlib._bootstrap>", line 778, in load_module
File "<frozen importlib._bootstrap>", line 759, in load_module
File "<frozen importlib._bootstrap>", line 408, in module_for_loader_wrapper
File "<frozen importlib._bootstrap>", line 647, in _load_module
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/lib/tests/test__datasource.py", line 2, in <module>
from tempfile import mkdtemp, mkstemp, NamedTemporaryFile
File "<frozen importlib._bootstrap>", line 1294, in _find_and_load
File "<frozen importlib._bootstrap>", line 1261, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 432, in _check_name_wrapper
File "<frozen importlib._bootstrap>", line 778, in load_module
File "<frozen importlib._bootstrap>", line 759, in load_module
File "<frozen importlib._bootstrap>", line 408, in module_for_loader_wrapper
File "<frozen importlib._bootstrap>", line 647, in _load_module
File "/home/ondrej/py33/lib/python3.3/tempfile.py", line 34, in <module>
from random import Random as _Random
ImportError: <unprintable ImportError object>
======================================================================
ERROR: Failure: ImportError (cannot import name Random)
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/failure.py", line 37, in runTest
raise self.exc_class(self.exc_val).with_traceback(self.tb)
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/loader.py", line 390, in loadTestsFromName
addr.filename, addr.module)
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/importer.py", line 39, in importFromPath
return self.importFromDir(dir_path, fqname)
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/importer.py", line 86, in importFromDir
mod = load_module(part_fqname, fh, filename, desc)
File "/home/ondrej/repos/python-3.3/xx/lib/python3.3/imp.py", line 170, in load_module
return load_source(name, filename, file)
File "/home/ondrej/repos/python-3.3/xx/lib/python3.3/imp.py", line 119, in load_source
return _LoadSourceCompatibility(name, pathname, file).load_module(name)
File "<frozen importlib._bootstrap>", line 432, in _check_name_wrapper
File "<frozen importlib._bootstrap>", line 778, in load_module
File "<frozen importlib._bootstrap>", line 759, in load_module
File "<frozen importlib._bootstrap>", line 408, in module_for_loader_wrapper
File "<frozen importlib._bootstrap>", line 647, in _load_module
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/lib/tests/test_format.py", line 284, in <module>
import tempfile
File "<frozen importlib._bootstrap>", line 1294, in _find_and_load
File "<frozen importlib._bootstrap>", line 1261, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 432, in _check_name_wrapper
File "<frozen importlib._bootstrap>", line 778, in load_module
File "<frozen importlib._bootstrap>", line 759, in load_module
File "<frozen importlib._bootstrap>", line 408, in module_for_loader_wrapper
File "<frozen importlib._bootstrap>", line 647, in _load_module
File "/home/ondrej/py33/lib/python3.3/tempfile.py", line 34, in <module>
from random import Random as _Random
ImportError: <unprintable ImportError object>
======================================================================
ERROR: Failure: ImportError (cannot import name Random)
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/failure.py", line 37, in runTest
raise self.exc_class(self.exc_val).with_traceback(self.tb)
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/loader.py", line 390, in loadTestsFromName
addr.filename, addr.module)
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/importer.py", line 39, in importFromPath
return self.importFromDir(dir_path, fqname)
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/importer.py", line 86, in importFromDir
mod = load_module(part_fqname, fh, filename, desc)
File "/home/ondrej/repos/python-3.3/xx/lib/python3.3/imp.py", line 170, in load_module
return load_source(name, filename, file)
File "/home/ondrej/repos/python-3.3/xx/lib/python3.3/imp.py", line 119, in load_source
return _LoadSourceCompatibility(name, pathname, file).load_module(name)
File "<frozen importlib._bootstrap>", line 432, in _check_name_wrapper
File "<frozen importlib._bootstrap>", line 778, in load_module
File "<frozen importlib._bootstrap>", line 759, in load_module
File "<frozen importlib._bootstrap>", line 408, in module_for_loader_wrapper
File "<frozen importlib._bootstrap>", line 647, in _load_module
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/lib/tests/test_io.py", line 5, in <module>
from tempfile import mkstemp, NamedTemporaryFile
File "<frozen importlib._bootstrap>", line 1294, in _find_and_load
File "<frozen importlib._bootstrap>", line 1261, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 432, in _check_name_wrapper
File "<frozen importlib._bootstrap>", line 778, in load_module
File "<frozen importlib._bootstrap>", line 759, in load_module
File "<frozen importlib._bootstrap>", line 408, in module_for_loader_wrapper
File "<frozen importlib._bootstrap>", line 647, in _load_module
File "/home/ondrej/py33/lib/python3.3/tempfile.py", line 34, in <module>
from random import Random as _Random
ImportError: <unprintable ImportError object>
======================================================================
ERROR: Tests reading from a text file.
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/ma/tests/test_mrecords.py", line 485, in test_fromtextfile
import tempfile
File "<frozen importlib._bootstrap>", line 1294, in _find_and_load
File "<frozen importlib._bootstrap>", line 1261, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 432, in _check_name_wrapper
File "<frozen importlib._bootstrap>", line 778, in load_module
File "<frozen importlib._bootstrap>", line 759, in load_module
File "<frozen importlib._bootstrap>", line 408, in module_for_loader_wrapper
File "<frozen importlib._bootstrap>", line 647, in _load_module
File "/home/ondrej/py33/lib/python3.3/tempfile.py", line 34, in <module>
from random import Random as _Random
ImportError: cannot import name Random
======================================================================
ERROR: Failure: ImportError (No module named 'distutils.errors')
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/failure.py", line 37, in runTest
raise self.exc_class(self.exc_val).with_traceback(self.tb)
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/loader.py", line 390, in loadTestsFromName
addr.filename, addr.module)
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/importer.py", line 39, in importFromPath
return self.importFromDir(dir_path, fqname)
File "/home/ondrej/py33/lib/python3.3/site-packages/nose-1.1.2-py3.3.egg/nose/importer.py", line 86, in importFromDir
mod = load_module(part_fqname, fh, filename, desc)
File "/home/ondrej/repos/python-3.3/xx/lib/python3.3/imp.py", line 170, in load_module
return load_source(name, filename, file)
File "/home/ondrej/repos/python-3.3/xx/lib/python3.3/imp.py", line 119, in load_source
return _LoadSourceCompatibility(name, pathname, file).load_module(name)
File "<frozen importlib._bootstrap>", line 432, in _check_name_wrapper
File "<frozen importlib._bootstrap>", line 778, in load_module
File "<frozen importlib._bootstrap>", line 759, in load_module
File "<frozen importlib._bootstrap>", line 408, in module_for_loader_wrapper
File "<frozen importlib._bootstrap>", line 647, in _load_module
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/tests/test_ctypeslib.py", line 5, in <module>
from numpy.distutils.misc_util import get_shared_lib_extension
File "<frozen importlib._bootstrap>", line 1294, in _find_and_load
File "<frozen importlib._bootstrap>", line 1245, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 1294, in _find_and_load
File "<frozen importlib._bootstrap>", line 1261, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 432, in _check_name_wrapper
File "<frozen importlib._bootstrap>", line 778, in load_module
File "<frozen importlib._bootstrap>", line 759, in load_module
File "<frozen importlib._bootstrap>", line 408, in module_for_loader_wrapper
File "<frozen importlib._bootstrap>", line 647, in _load_module
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/distutils/__init__.py", line 22, in <module>
import numpy.distutils.ccompiler
File "<frozen importlib._bootstrap>", line 1294, in _find_and_load
File "<frozen importlib._bootstrap>", line 1261, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 432, in _check_name_wrapper
File "<frozen importlib._bootstrap>", line 778, in load_module
File "<frozen importlib._bootstrap>", line 759, in load_module
File "<frozen importlib._bootstrap>", line 408, in module_for_loader_wrapper
File "<frozen importlib._bootstrap>", line 647, in _load_module
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/distutils/ccompiler.py", line 7, in <module>
from distutils.ccompiler import *
File "<frozen importlib._bootstrap>", line 1294, in _find_and_load
File "<frozen importlib._bootstrap>", line 1245, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 1294, in _find_and_load
File "<frozen importlib._bootstrap>", line 1261, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 432, in _check_name_wrapper
File "<frozen importlib._bootstrap>", line 778, in load_module
File "<frozen importlib._bootstrap>", line 759, in load_module
File "<frozen importlib._bootstrap>", line 408, in module_for_loader_wrapper
File "<frozen importlib._bootstrap>", line 647, in _load_module
File "./distutils/__init__.py", line 23, in <module>
import numpy.distutils.unixccompiler
File "<frozen importlib._bootstrap>", line 1294, in _find_and_load
File "<frozen importlib._bootstrap>", line 1261, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 432, in _check_name_wrapper
File "<frozen importlib._bootstrap>", line 778, in load_module
File "<frozen importlib._bootstrap>", line 759, in load_module
File "<frozen importlib._bootstrap>", line 408, in module_for_loader_wrapper
File "<frozen importlib._bootstrap>", line 647, in _load_module
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/distutils/unixccompiler.py", line 7, in <module>
from distutils.errors import DistutilsExecError, CompileError
File "<frozen importlib._bootstrap>", line 1294, in _find_and_load
File "<frozen importlib._bootstrap>", line 1258, in _find_and_load_unlocked
ImportError: <unprintable ImportError object>
======================================================================
FAIL: Check byteorder of 0-dimensional objects
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/core/tests/test_unicode.py", line 277, in test_values0D
self.assertTrue(ua[()] != ua2[()])
AssertionError: False is not true
======================================================================
FAIL: Check byteorder of multi-dimensional objects
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/core/tests/test_unicode.py", line 297, in test_valuesMD
self.assertTrue(ua[0,0,0] != ua2[0,0,0])
AssertionError: False is not true
======================================================================
FAIL: Check byteorder of single-dimensional objects
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/core/tests/test_unicode.py", line 286, in test_valuesSD
self.assertTrue(ua[0] != ua2[0])
AssertionError: False is not true
======================================================================
FAIL: Check byteorder of 0-dimensional objects
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/core/tests/test_unicode.py", line 277, in test_values0D
self.assertTrue(ua[()] != ua2[()])
AssertionError: False is not true
======================================================================
FAIL: Check byteorder of multi-dimensional objects
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/core/tests/test_unicode.py", line 297, in test_valuesMD
self.assertTrue(ua[0,0,0] != ua2[0,0,0])
AssertionError: False is not true
======================================================================
FAIL: Check byteorder of single-dimensional objects
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/core/tests/test_unicode.py", line 286, in test_valuesSD
self.assertTrue(ua[0] != ua2[0])
AssertionError: False is not true
======================================================================
FAIL: Check byteorder of 0-dimensional objects
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/core/tests/test_unicode.py", line 277, in test_values0D
self.assertTrue(ua[()] != ua2[()])
AssertionError: False is not true
======================================================================
FAIL: Check byteorder of multi-dimensional objects
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/core/tests/test_unicode.py", line 297, in test_valuesMD
self.assertTrue(ua[0,0,0] != ua2[0,0,0])
AssertionError: False is not true
======================================================================
FAIL: Check byteorder of single-dimensional objects
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/core/tests/test_unicode.py", line 286, in test_valuesSD
self.assertTrue(ua[0] != ua2[0])
AssertionError: False is not true
======================================================================
FAIL: Check byteorder of 0-dimensional objects
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/core/tests/test_unicode.py", line 277, in test_values0D
self.assertTrue(ua[()] != ua2[()])
AssertionError: False is not true
======================================================================
FAIL: Check byteorder of multi-dimensional objects
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/core/tests/test_unicode.py", line 297, in test_valuesMD
self.assertTrue(ua[0,0,0] != ua2[0,0,0])
AssertionError: False is not true
======================================================================
FAIL: Check byteorder of single-dimensional objects
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/core/tests/test_unicode.py", line 286, in test_valuesSD
self.assertTrue(ua[0] != ua2[0])
AssertionError: False is not true
======================================================================
FAIL: Check byteorder of 0-dimensional objects
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/core/tests/test_unicode.py", line 277, in test_values0D
self.assertTrue(ua[()] != ua2[()])
AssertionError: False is not true
======================================================================
FAIL: Check byteorder of multi-dimensional objects
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/core/tests/test_unicode.py", line 297, in test_valuesMD
self.assertTrue(ua[0,0,0] != ua2[0,0,0])
AssertionError: False is not true
======================================================================
FAIL: Check byteorder of single-dimensional objects
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/core/tests/test_unicode.py", line 286, in test_valuesSD
self.assertTrue(ua[0] != ua2[0])
AssertionError: False is not true
======================================================================
FAIL: Check byteorder of 0-dimensional objects
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/core/tests/test_unicode.py", line 277, in test_values0D
self.assertTrue(ua[()] != ua2[()])
AssertionError: False is not true
======================================================================
FAIL: Check byteorder of multi-dimensional objects
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/core/tests/test_unicode.py", line 297, in test_valuesMD
self.assertTrue(ua[0,0,0] != ua2[0,0,0])
AssertionError: False is not true
======================================================================
FAIL: Check byteorder of single-dimensional objects
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/core/tests/test_unicode.py", line 286, in test_valuesSD
self.assertTrue(ua[0] != ua2[0])
AssertionError: False is not true
======================================================================
FAIL: test_keywords_no_func_code (test_function_base.TestVectorize)
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/lib/tests/test_function_base.py", line 412, in test_keywords_no_func_code
f = vectorize(random.randrange)
AttributeError: 'module' object has no attribute 'randrange'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/ondrej/py33/lib/python3.3/site-packages/numpy/lib/tests/test_function_base.py", line 414, in test_keywords_no_func_code
raise AssertionError()
AssertionError
----------------------------------------------------------------------
Ran 3500 tests in 17.764s
FAILED (KNOWNFAIL=5, SKIP=5, errors=12, failures=19)
<nose.result.TextTestResult run=3500 errors=12 failures=19>
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.